## org.codehaus.plexus.util.xml
Class Xpp3DomWriter

    java.lang.Object
      org.codehaus.plexus.util.xml.Xpp3DomWriter

    public class Xpp3DomWriter

extends Object

Version:
  $Id: Xpp3DomWriter.java 8660 2010-03-05 21:50:36Z hboutemy $

Constructor Summary
`Xpp3DomWriter()`

Method Summary
`static void` `write(PrintWriter writer, Xpp3Dom dom)`
`static void` `write(Writer writer, Xpp3Dom dom)`
`static void` `write(XMLWriter xmlWriter, Xpp3Dom dom)`
`static void` `write(XMLWriter xmlWriter, Xpp3Dom dom, boolean escape)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Xpp3DomWriter

    public Xpp3DomWriter()

Method Detail

### write

    public static void write(Writer writer,
                             Xpp3Dom dom)

### write

    public static void write(PrintWriter writer,
                             Xpp3Dom dom)

### write

    public static void write(XMLWriter xmlWriter,
                             Xpp3Dom dom)

### write

    public static void write(XMLWriter xmlWriter,
                             Xpp3Dom dom,
                             boolean escape)